local drawableSprite = require("structs.drawable_sprite")

local HangingCeiling = {}

HangingCeiling.name = "SusanHelper/HangingCeiling"
HangingCeiling.depth = -9999
HangingCeiling.fieldOrder = {"x", "y", "width", "directory", "animationSpeed", "canJump", "noStaminaDrain"}
HangingCeiling.canResize = {true, false}
HangingCeiling.placements = {
    name = "Hanging Ceiling",
    data = {
        width = 8,
        directory = "objects/paint/ceiling",
        animationSpeed = 0.20,
        canJump = false,
        noStaminaDrain = false
    }
}

function HangingCeiling.sprite(room, entity)
    local sprites = {}

    local directory = entity.directory or "objects/paint/ceiling"
    local width = entity.width / 8 or 1

    local sprite = nil
    for i = 1,width do
        if (i % 2 == 0) then
            sprite = drawableSprite.fromTexture(directory .. "/idle_b00", entity)
        else
            sprite = drawableSprite.fromTexture(directory .. "/idle_a00", entity)
        end
        sprite:addPosition((i - 1) * 8 + 4, 4)
        if sprite then
            table.insert(sprites, sprite)
        end
    end

    return sprites
end

return HangingCeiling